Subject: bug#37937: closed (Re: bug#37937: Lollypop missing propagated-input gsettings-desktop-schemas)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Oct 2019 23:29:02 +0000

Your bug report

#37937: Lollypop missing propagated-input gsettings-desktop-schemas

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37937: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37937
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37937: Lollypop missing propagated-input gsettings-desktop-schemas
From: Tobias Geerinckx-Rice <[email-masked]>
To: Sam <[email-masked]>
Cc: [email-masked]
Date: Sun, 27 Oct 2019 01:28:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Sam,

Sam 写道：
> lollypop is missing gsettings-desktop-schemas as dependency, and 
> fails
> to start without the package.

Thanks for reporting this, and for trying to fix it.  I took a 
different approach in commit 
8ac8b3b3601560c4a455543435276a8cdf61b54e: propagation is, at 
heart, a kluge, and one that should be avoided whenever 
possible[0].

I'm closing this bug because it now works for me.

Could you pull, upgrade lollypop, and let me know whether it now 
works for you?

> I couldn't find out how to test the effect

Assuming you already have a Guix git checkout to create the patch, 
you simply:

  $ guix environment guix
  $ ./configure --localstatedir=/var
  $ make -j `nproc`
  $ ./pre-inst-env guix lollypop

…or something like that :-)

Kind regards,

T G-R

[0]: https://issues.guix.info/issue/36896

Subject: Lollypop missing propagated-input gsettings-desktop-schemas
From: Sam <[email-masked]>
To: [email-masked]
Date: Sat, 26 Oct 2019 22:39:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,
lollypop is missing gsettings-desktop-schemas as dependency, and fails 
to start without the package.
Below there is a patch where I tried to fix it, but since I couldn't 
find out how to test the effect I chose to not send it to the patch 
mailing list.
I'm sorry for the inconvenience.

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 8bb891bfb3..a6596bc92d 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -7833,8 +7833,9 @@ views can be printed as PDF or PostScript files, 
or exported to HTML.")
         ("totem-pl-parser" ,totem-pl-parser)
         ("webkitgtk" ,webkitgtk)))
      (propagated-inputs
-     `(;; gst-plugins-base is required to start Lollypop,
+     `(;; gst-plugins-base and gsettings-desktop-schemas are required 
to start Lollypop,
         ;; the others are required to play streaming.
+       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
         ("gst-plugins-good" ,gst-plugins-good)
         ("gst-plugins-ugly" ,gst-plugins-ugly)))
      (home-page "https://wiki.gnome.org/Apps/Lollypop")